Package svnmailer :: Module settings :: Class Settings

[hide private]

# Class Settings

source code

    object --+
             |
            Settings

Known Subclasses:
  - config.ConfigFileSettings

Settings management

Note: The `init` method must be overridden to do the actual initialization.

Instance Methods | [hide private]

__init__(self, *args, **kwargs) Constructor | source code

_checkInitialization(self) Checks if all containers are filled | source code

init(self, *args, **kwargs) Abstract initialization method | source code

`list`

_getArgs(self) Returns the basic arguments for container initialization | source code

`GroupSettingsContainer`

getGroupContainer(self, **kwargs) Returns an initialized group settings container | source code

`GroupSettingsContainer`

getDefaultGroupContainer(self, **kwargs) Returns an initialized default group settings container | source code

`GeneralSettingsContainer`

getGeneralContainer(self, **kwargs) Returns an initialized general settings container | source code

`RuntimeSettingsContainer`

getRuntimeContainer(self, **kwargs) Returns an initialized runtime settings container | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables | [hide private]

`str` | _charset_ The charset used for settings recoding
`dict` | _maps_ The value mappers to use or `None`
`bool` | debug Debug state
`GeneralSettingsContainer` | general General settings
`list` of `GroupSettingsContainer` | groups group settings list
`RuntimeSettingsContainer` | runtime Runtime settigs

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, *args, **kwargs)
(Constructor)

source code

Constructor

Don't override this one. Override `init()` instead.

Overrides: object.__init__

### _getArgs(self)

source code

Returns the basic arguments for container initialization

Returns: `list`
  The args

### getGroupContainer(self, **kwargs)

source code

Returns an initialized group settings container

Returns: `GroupSettingsContainer`
  The container object

### getDefaultGroupContainer(self, **kwargs)

source code

Returns an initialized default group settings container

Returns: `GroupSettingsContainer`
  The container object

### getGeneralContainer(self, **kwargs)

source code

Returns an initialized general settings container

Returns: `GeneralSettingsContainer`
  The container object

### getRuntimeContainer(self, **kwargs)

source code

Returns an initialized runtime settings container

Note that the runtime settings (from commandline) are always assumed to be utf-8 encoded.

Returns: `RuntimeSettingsContainer`
  The container object